#
# spec file for package rubygem-audited
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-audited
Version:        4.8.0
Release:        lp151.1.1
%define mod_name audited
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/collectiveidea/audited
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Log all changes to your models
License:        MIT
Group:          Development/Languages/Ruby

%description
Log all changes to your models.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Wed Sep  5 2018 coolo@suse.com
- updated to version 4.8.0
  see installed CHANGELOG.md
* Wed Apr 11 2018 factory-auto@kulow.org
- updated to version 4.7.1
  see installed CHANGELOG.md
  - None
  [#]# 4.7.1 (2018-04-10)
  Breaking changes
* Tue Mar 20 2018 factory-auto@kulow.org
- updated to version 4.7.0
  see installed CHANGELOG.md
  [#]# 4.7.0 (2018-03-14)
  Breaking changes
  - None
  Added
  - Add `inverse_of: auditable` definition to audit relation
    [#413](https://github.com/collectiveidea/audited/pull/413)
  - Add functionality to conditionally audit models
    [#414](https://github.com/collectiveidea/audited/pull/414)
  - Allow limiting number of audits stored
    [#405](https://github.com/collectiveidea/audited/pull/405)
  Changed
  - Reduced db calls in `#revisions` method
    [#402](https://github.com/collectiveidea/audited/pull/402)
    [#403](https://github.com/collectiveidea/audited/pull/403)
  - Update supported Ruby and Rails versions
    [#404](https://github.com/collectiveidea/audited/pull/404)
    [#409](https://github.com/collectiveidea/audited/pull/409)
    [#415](https://github.com/collectiveidea/audited/pull/415)
    [#416](https://github.com/collectiveidea/audited/pull/416)
  Fixed
  - Ensure that `on` and `except` options jive with `comment_required: true`
    [#419](https://github.com/collectiveidea/audited/pull/419)
  - Fix RSpec matchers
    [#420](https://github.com/collectiveidea/audited/pull/420)
* Thu Feb  8 2018 coolo@suse.com
- updated to version 4.6.0
  see installed CHANGELOG.md
  [#]# 4.6.0 (2018-01-10)
  Breaking changes
  - None
  Added
  - Add functionality to undo specific audit
    [#381](https://github.com/collectiveidea/audited/pull/381)
  Changed
  - Removed duplicate declaration of `non_audited_columns` method
    [#365](https://github.com/collectiveidea/audited/pull/365)
  - Updated `audited_changes` calculation to support Rails>=5.1 change syntax
    [#377](https://github.com/collectiveidea/audited/pull/377)
  - Improve index ordering for polymorphic indexes
    [#385](https://github.com/collectiveidea/audited/pull/385)
  - Update CI to test on newer versions of Ruby and Rails
    [#386](https://github.com/collectiveidea/audited/pull/386)
    [#387](https://github.com/collectiveidea/audited/pull/387)
    [#388](https://github.com/collectiveidea/audited/pull/388)
  - Simplify `audited_columns` calculation
    [#391](https://github.com/collectiveidea/audited/pull/391)
  - Simplify `audited_changes` calculation
    [#389](https://github.com/collectiveidea/audited/pull/389)
  - Normalize options passed to `audited` method
    [#397](https://github.com/collectiveidea/audited/pull/397)
  Fixed
  - Fixed typo in rspec causing incorrect test failure
    [#360](https://github.com/collectiveidea/audited/pull/360)
  - Allow running specs using rake
    [#390](https://github.com/collectiveidea/audited/pull/390)
  - Passing an invalid version to `revision` returns `nil` instead of last version
    [#384](https://github.com/collectiveidea/audited/pull/384)
  - Fix duplicate deceleration warnings
    [#399](https://github.com/collectiveidea/audited/pull/399)
* Wed May 31 2017 coolo@suse.com
- updated to version 4.5.0
  see installed CHANGELOG.md
  [#]# 4.5.0 (2017-05-22)
  Breaking changes
  - None
  Added
  - Support for `user_id` column to be a `uuid` type
    [#333](https://github.com/collectiveidea/audited/pull/333)
  Fixed
  - Fix retrieval of user from controller when populated in before callbacks
    [#336](https://github.com/collectiveidea/audited/issues/336)
  - Fix column type check in serializer for Oracle DB adapter
    [#335](https://github.com/collectiveidea/audited/pull/335)
  - Fix `non_audited_columns` to allow symbol names
    [#351](https://github.com/collectiveidea/audited/pull/351)
* Thu Mar 30 2017 coolo@suse.com
- updated to version 4.4.1
  CHANGELOG removed upstream
* Sun Sep 18 2016 coolo@suse.com
- updated to version 4.3.0
  see installed CHANGELOG
* Sat Aug 13 2016 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG
* Sat Jul 30 2016 coolo@suse.com
- updated to version 4.2.1
  see installed CHANGELOG
* Wed Apr  1 2015 coolo@suse.com
- updated to version 4.2.0
* Mon Feb  9 2015 coolo@suse.com
- updated to version 4.0.0
* Tue Apr 30 2013 coolo@suse.com
- initial package
